var ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
var z = new ZeedhiAPIConstructor(browser, protractor);
var loginPage = require('../../../page-objects/login.po.js');
var almoxarifadoLocalizacaoPage = require('../../../page-objects/parametrizacao/estoque/almoxarifadoLocalizacao.po.js');

describe('Tela Almoxarifado/Localização', function(){

	beforeEach(function(){
		z.application.openOnContainer('#/');
		//browser.get('http://thiagomarques.zeedhi.com/workfolder/erp/mobile/');
		loginPage.login('teknisa@teknisa.com','teknisa');
	  	browser.sleep(2000);

	});

	afterEach(function(){
		z.component.menu.open();
		z.component.menu.clickByLabel('Sair');
		z.component.alert.clickButton('Sim');

	});

	it('Acessar tela', function(){
		almoxarifadoLocalizacaoPage.abrir();
		almoxarifadoLocalizacaoPage.clickFiltro();
		expect(z.component.header.getTitle()).toBe('Almoxarifado/Localização');

	});

    it('Cadastro', function(){
    	almoxarifadoLocalizacaoPage.abrir();
    	almoxarifadoLocalizacaoPage.clickFiltro()
    	almoxarifadoLocalizacaoPage.cadastrar('000000', 'ALMOXARIFADO TESTE', 'Sim', 'Não');
    	expect(almoxarifadoLocalizacaoPage.gridHasText('126826943027227155911703', 0,'ALMOXARIFADO TESTE', true)).toBe(true);

    });

    it('Alterar', function(){
    	almoxarifadoLocalizacaoPage.abrir();
    	almoxarifadoLocalizacaoPage.clickFiltro()
    	almoxarifadoLocalizacaoPage.alterar('ALMOXARIFADO TESTE ALTERAÇÃO','Não','Sim');
    	expect(almoxarifadoLocalizacaoPage.gridHasText('126826943027227155911703', 0,'ALMOXARIFADO TESTE ALTERAÇÃO', true)).toBe(true);

    });

    it ('excluir', function(){
    	almoxarifadoLocalizacaoPage.abrir();
    	almoxarifadoLocalizacaoPage.clickFiltro()
    	almoxarifadoLocalizacaoPage.excluir();
    	expect(almoxarifadoLocalizacaoPage.gridHasText('126826943027227155911703', 0,'ALMOXARIFADO TESTE ALTERAÇÃO', true)).toBe(false);

    });
});